summaryrefslogtreecommitdiffstats
path: root/ansible/test
diff options
context:
space:
mode:
authorBartek Grzybowski <b.grzybowski@partner.samsung.com>2019-04-03 16:58:13 +0200
committerBartek Grzybowski <b.grzybowski@partner.samsung.com>2019-04-05 08:29:56 +0200
commit84bd5ecf5a472186d453eafbe0f51c26154fc70a (patch)
tree57c427510a09e4b40a814d2b93c8390983204b90 /ansible/test
parent05b9001fa01b3f1076a5a21f063ca40421a66333 (diff)
Dockerfile and build script for Ubuntu
Dockerfile that allows building a Systemd compliant Ubuntu image (for Ubuntu releases that support it). A build script for building the image. Change-Id: I3456e40e7ac96e611e957b2912405f9030dc0f04 Issue-ID: OOM-1774 Signed-off-by: Bartek Grzybowski <b.grzybowski@partner.samsung.com>
Diffstat (limited to 'ansible/test')
-rw-r--r--ansible/test/images/docker/ubuntu/Dockerfile12
-rwxr-xr-xansible/test/images/docker/ubuntu/build.sh23
2 files changed, 35 insertions, 0 deletions
diff --git a/ansible/test/images/docker/ubuntu/Dockerfile b/ansible/test/images/docker/ubuntu/Dockerfile
new file mode 100644
index 00000000..54416374
--- /dev/null
+++ b/ansible/test/images/docker/ubuntu/Dockerfile
@@ -0,0 +1,12 @@
+ARG RELEASE
+FROM ubuntu:${RELEASE}
+
+# Systemd requires this env for ConditionVirtualization setting in unit files
+ENV container docker
+
+# Python2.7 required by ansible
+RUN apt-get update && apt-get -y install dbus systemd python openssh-server
+
+EXPOSE 22
+
+CMD ["/sbin/init"]
diff --git a/ansible/test/images/docker/ubuntu/build.sh b/ansible/test/images/docker/ubuntu/build.sh
new file mode 100755
index 00000000..c3bbffaa
--- /dev/null
+++ b/ansible/test/images/docker/ubuntu/build.sh
@@ -0,0 +1,23 @@
+#! /usr/bin/env bash
+
+# COPYRIGHT NOTICE STARTS HERE
+
+# Copyright 2019 © Samsung Electronics Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# COPYRIGHT NOTICE ENDS HERE
+
+set -e
+TAG=${1:-18.04}
+docker build . --build-arg RELEASE=${TAG} -t molecule-ubuntu:${TAG}